GET api/NTCosCompany/GetCompanyTextNotificationtype?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfCompanyTextNotificationTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CompanyTextNotificationTypeDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"TextNotificationTypeId": 2,
"TextNotificationTypeName": "sample string 3",
"TextNotificationTypeTemplate": "sample string 4",
"IsCustomTemplate": true,
"CustomTemplate": "sample string 5",
"ClinicalPathwayTypeId": 6,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:49:46.1195674-07:00",
"DateUpdated": "2026-06-20T12:49:46.1195674-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
{
"Id": 1,
"TextNotificationTypeId": 2,
"TextNotificationTypeName": "sample string 3",
"TextNotificationTypeTemplate": "sample string 4",
"IsCustomTemplate": true,
"CustomTemplate": "sample string 5",
"ClinicalPathwayTypeId": 6,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:49:46.1195674-07:00",
"DateUpdated": "2026-06-20T12:49:46.1195674-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}